Subject: Re: (subset) [PATCH v2 0/6] use device_for_each_child_node() to access device child nodes

From: Lee Jones <[email-masked]>
Date: Mon, 5 Aug 2024 15:32:07 +0100

On Fri, 02 Aug 2024, Javier Carrasco wrote:

> On 01/08/2024 14:39, Lee Jones wrote:
> > On Mon, 29 Jul 2024, Javier Carrasco wrote:
> > 
> >> On 25/07/2024 18:28, Lee Jones wrote:
> >>> On Sun, 21 Jul 2024 17:19:00 +0200, Javier Carrasco wrote:
> >>>> This series aims to clarify the use cases of:
> >>>>
> >>>> - device_for_each_child_node[_scoped]()
> >>>> - fwnode_for_each_available_child_node[_scoped]()
> >>>>
> >>>> to access firmware nodes.
> >>>>
> >>>> [...]
> >>>
> >>> Applied, thanks!
> >>>
> >>> [3/6] leds: bd2606mvv: fix device child node usage in bd2606mvv_probe()
> >>>       commit: 75d2a77327c4917bb66163eea0374bb749428e9c
> >>> [4/6] leds: is31fl319x: use device_for_each_child_node_scoped() to access child nodes
> >>>       commit: 0f5a3feb60aba5d74f0b655cdff9c35aca03e81b
> >>> [5/6] leds: pca995x: use device_for_each_child_node() to access device child nodes
> >>>       (no commit info)
> >>>
> >>> --
> >>> Lee Jones [李琼斯]
> >>>
> >>
> >> Hi Lee,
> >>
> >> could you please tell me where you applied them? I rebased onto
> >> linux-next to prepare for v3, and these patches are still added on top
> >> of it. Can I find them in some leds/ branch? Thank you.
> > 
> > Sorry, I was side-tracked before pushing.
> > 
> > Pushed now.  They should be in -next tomorrow.
> > 
> 
> Thanks, I see
> 
> [3/6] leds: bd2606mvv: fix device child node usage in bd2606mvv_probe()
> 
> [4/6] leds: is31fl319x: use device_for_each_child_node_scoped() to
> access child nodes
> 
> applied to -next, but
> 
> [5/6] leds: pca995x: use device_for_each_child_node() to access device
> child nodes
> 
> has not been applied yet.

Yep, looks like b4 didn't like that one:

[3/6] leds: bd2606mvv: fix device child node usage in bd2606mvv_probe()
      commit: 75d2a77327c4917bb66163eea0374bb749428e9c
[4/6] leds: is31fl319x: use device_for_each_child_node_scoped() to access child nodes
      commit: 0f5a3feb60aba5d74f0b655cdff9c35aca03e81b
[5/6] leds: pca995x: use device_for_each_child_node() to access device child nodes
      (no commit info)

I'll try again and see if it can be pulled in.

If not you'll have to resubmit it.

-- 
Lee Jones [李琼斯]